pipeline {
    agent any
    stages {
        stage('Deploy') {
            steps {
                sshagent(['vps-ssh-key']) {
                    sh 'scp -o StrictHostKeyChecking=no index.html root@172.17.0.1:/var/www/fymio.us/'
                }
            }
        }
    }
    post {
        failure { echo 'Deployment failed!' }
        success { echo 'Deployment successful!' }
    }
}
